import type { AstroConfig, ManifestData, RouteCache } from '../../@types/astro';
import type { AllPagesData } from './types';
import type { LogOptions } from '../logger';
import type { ViteDevServer } from '../vite.js';
export interface CollectPagesDataOptions {
    astroConfig: AstroConfig;
    logging: LogOptions;
    manifest: ManifestData;
    origin: string;
    routeCache: RouteCache;
    viteServer: ViteDevServer;
}
export interface CollectPagesDataResult {
    assets: Record<string, string>;
    allPages: AllPagesData;
}
export declare function collectPagesData(opts: CollectPagesDataOptions): Promise<CollectPagesDataResult>;
