import { Document, Element, Node } from 'parse5';
export declare function isStylesheetLink(node: Element): boolean;
export declare function isHashedAsset(node: Element): boolean;
export declare function resolveAssetFilePath(browserPath: string, htmlDir: string, projectRootDir: string, absolutePathPrefix?: string): string;
export declare function getSourceAttribute(node: Element): "srcset" | "src" | "href" | "content";
export interface Location {
    start: number;
    end: number;
}
export declare function getSourcePaths(node: Element): {
    path: string;
    location: Location;
}[];
export declare function getTextContent(node: Node): string;
export declare function getAttributes(node: Element): Record<string, any>;
export declare function findAssets(document: Document): Element[];
export declare function findInlineScripts(document: Document): Element[];
export declare function findExternalScripts(document: Document): Element[];
export declare function findInlineStyles(document: Document): Element[];
export declare function findStyleLinks(document: Document): Element[];
